package com.ejwa.parampoll.view;

import java.io.Serializable;
import java.util.Random;
import javax.faces.view.ViewScoped;
import javax.inject.Inject;
import javax.inject.Named;
import javax.validation.constraints.Max;
import lombok.Data;
import org.omnifaces.cdi.Param;

@Data
@Named
@ViewScoped
public class ParamBackingBean implements Serializable {
	@Inject @Param int first;

	public int getRandomNumber() {
		return new Random().nextInt(first);
	}
}
